#
# spec file for package ghc-bcrypt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name bcrypt
Name:           ghc-%{pkg_name}
Version:        0.0.10
Release:        lp150.1.8
Summary:        Haskell bindings to the bcrypt password hash
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-entropy-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-rpm-macros

%description
Haskell bindings to the bcrypt password hash.

Unlike other bindings already in existence, this package is designed to allow
users to work directly with password hash strings that include information
about the hashing algorithm, strength, and salt. This approach allows hashed
passwords to be stored in a single field that can also be used by non-Haskell
applications, and makes it easy to implement a policy of updating passwords
hashed to an old policy next time the plaintext password is available.

Version 1.1.3 of the OpenWall C source for bcrypt is included in this package
(<http://www.openwall.com/crypt/>). The only modification is that the flag
which enables the use of assembler has been disabled. Announcements about
hs-bcrypt (including security announcements) will be sent to
https://groups.google.com/forum/#!forum/hs-bcrypt-announce/join - if you use
this library please consider subscribing. This mailing list is moderated and is
expected to have a very low volume of mail traffic.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Oct 27 2016 psimons@suse.com
- Update to version 0.0.10 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.0.9 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.0.8 revision 0 with cabal2obs.
